package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * Fecha de creación: (25/01/2012)
 */
public class P06B52T00Datatype implements Serializable {
	
	private String ejercicio = "";
	private String numExp = "";
	private String netoPropCapEscr = "";
	private String netoPropCapNoExig = "";
	private String netoPropPrimEmis = "";
	private String netoPropReser = "";
	private String netoPropAccion = "";
	private String netoPropResEjerAnt = "";
	private String netoPropOtrasApor = "";
	private String netoPropResEjer = "";
	private String netoPropDividen = "";
	private String netoPropOtrosInstr = "";
	private String netoAjusCam = "";
	private String netoSubv = "";
	private String noCorrProv = "";
	private String noCorrDeudCred = "";
	private String noCorrDeudArren = "";
	private String noCorrDeudOtras = "";
	private String noCorrDeudEmp = "";
	private String noCorrImpuesDif = "";
	private String noCorrPeriodif = "";
	private String corrNoCorr = "";
	private String corrProv = "";
	private String corrDeudCred = "";
	private String corrDeudArren = "";
	private String corrDeudOtras = "";
	private String corrDeudEmp = "";
	private String corrProveed = "";
	private String corrOtrosAcreed = "";
	private String corrPeriodif = "";
	
	
	
	/**
	 * @return Returns the ejercicio.
	 */
	public String getEjercicio() {
		return ejercicio;
	}
	/**
	 * @param ejercicio The ejercicio to set.
	 */
	public void setEjercicio(String ejercicio) {
		this.ejercicio = ejercicio;
	}
		
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}
	
	/**
	 * @return Returns the netoPropCapEscr.
	 */
	public String getNetoPropCapEscr() {
		return netoPropCapEscr;
	}
	/**
	 * @param netoPropCapEscr The netoPropCapEscr to set.
	 */
	public void setNetoPropCapEscr(String netoPropCapEscr) {
		this.netoPropCapEscr = netoPropCapEscr;
	}
	
	/**
	 * @return Returns the netoPropCapNoExig.
	 */
	public String getNetoPropCapNoExig() {
		return netoPropCapNoExig;
	}
	/**
	 * @param netoPropCapNoExig The netoPropCapNoExig to set.
	 */
	public void setNetoPropCapNoExig(String netoPropCapNoExig) {
		this.netoPropCapNoExig = netoPropCapNoExig;
	}
	
	/**
	 * @return Returns the netoPropPrimEmis.
	 */
	public String getNetoPropPrimEmis() {
		return netoPropPrimEmis;
	}
	/**
	 * @param netoPropPrimEmis The netoPropPrimEmis to set.
	 */
	public void setNetoPropPrimEmis(String netoPropPrimEmis) {
		this.netoPropPrimEmis = netoPropPrimEmis;
	}
	
	/**
	 * @return Returns the netoPropReser.
	 */
	public String getNetoPropReser() {
		return netoPropReser;
	}
	/**
	 * @param netoPropReser The netoPropReser to set.
	 */
	public void setNetoPropReser(String netoPropReser) {
		this.netoPropReser = netoPropReser;
	}
	
	/**
	 * @return Returns the netoPropAccion.
	 */
	public String getNetoPropAccion() {
		return netoPropAccion;
	}
	/**
	 * @param netoPropAccion The netoPropAccion to set.
	 */
	public void setNetoPropAccion(String netoPropAccion) {
		this.netoPropAccion = netoPropAccion;
	}
			
	/**
	 * @return Returns the netoPropResEjerAnt.
	 */
	public String getNetoPropResEjerAnt() {
		return netoPropResEjerAnt;
	}
	/**
	 * @param netoPropResEjerAnt The netoPropResEjerAnt to set.
	 */
	public void setNetoPropResEjerAnt(String netoPropResEjerAnt) {
		this.netoPropResEjerAnt = netoPropResEjerAnt;
	}
	
	/**
	 * @return Returns the netoPropOtrasApor.
	 */
	public String getNetoPropOtrasApor() {
		return netoPropOtrasApor;
	}
	/**
	 * @param netoPropOtrasApor The netoPropOtrasApor to set.
	 */
	public void setNetoPropOtrasApor(String netoPropOtrasApor) {
		this.netoPropOtrasApor = netoPropOtrasApor;
	}
	
	/**
	 * @return Returns the netoPropResEjer.
	 */
	public String getNetoPropResEjer() {
		return netoPropResEjer;
	}
	/**
	 * @param netoPropResEjer The netoPropResEjer to set.
	 */
	public void setNetoPropResEjer(String netoPropResEjer) {
		this.netoPropResEjer = netoPropResEjer;
	}
	
	/**
	 * @return Returns the netoPropDividen.
	 */
	public String getNetoPropDividen() {
		return netoPropDividen;
	}
	/**
	 * @param netoPropDividen The netoPropDividen to set.
	 */
	public void setNetoPropDividen(String netoPropDividen) {
		this.netoPropDividen = netoPropDividen;
	}
	
	/**
	 * @return Returns the netoPropOtrosInstr.
	 */
	public String getNetoPropOtrosInstr() {
		return netoPropOtrosInstr;
	}
	/**
	 * @param netoPropOtrosInstr The netoPropOtrosInstr to set.
	 */
	public void setNetoPropOtrosInstr(String netoPropOtrosInstr) {
		this.netoPropOtrosInstr = netoPropOtrosInstr;
	}

	/**
	 * @return Returns the netoAjusCam.
	 */
	public String getNetoAjusCam() {
		return netoAjusCam;
	}
	/**
	 * @param netoAjusCam The netoAjusCam to set.
	 */
	public void setNetoAjusCam(String netoAjusCam) {
		this.netoAjusCam = netoAjusCam;
	}
	
	/**
	 * @return Returns the netoSubv.
	 */
	public String getNetoSubv() {
		return netoSubv;
	}
	/**
	 * @param netoSubv The netoSubv to set.
	 */
	public void setNetoSubv(String netoSubv) {
		this.netoSubv = netoSubv;
	}

	/**
	 * @return Returns the noCorrProv.
	 */
	public String getNoCorrProv() {
		return noCorrProv;
	}
	/**
	 * @param noCorrProv The noCorrProv to set.
	 */
	public void setNoCorrProv(String noCorrProv) {
		this.noCorrProv = noCorrProv;
	}
	
	/**
	 * @return Returns the noCorrDeudCred.
	 */
	public String getNoCorrDeudCred() {
		return noCorrDeudCred;
	}
	/**
	 * @param noCorrDeudCred The noCorrDeudCred to set.
	 */
	public void setNoCorrDeudCred(String noCorrDeudCred) {
		this.noCorrDeudCred = noCorrDeudCred;
	}

	/**
	 * @return Returns the noCorrDeudArren.
	 */
	public String getNoCorrDeudArren() {
		return noCorrDeudArren;
	}
	/**
	 * @param noCorrDeudArren The noCorrDeudArren to set.
	 */
	public void setNoCorrDeudArren(String noCorrDeudArren) {
		this.noCorrDeudArren = noCorrDeudArren;
	}

	/**
	 * @return Returns the noCorrDeudOtras.
	 */
	public String getNoCorrDeudOtras() {
		return noCorrDeudOtras;
	}
	/**
	 * @param noCorrDeudOtras The noCorrDeudOtras to set.
	 */
	public void setNoCorrDeudOtras(String noCorrDeudOtras) {
		this.noCorrDeudOtras = noCorrDeudOtras;
	}

	/**
	 * @return Returns the noCorrDeudEmp.
	 */
	public String getNoCorrDeudEmp() {
		return noCorrDeudEmp;
	}
	/**
	 * @param noCorrDeudEmp The noCorrDeudEmp to set.
	 */
	public void setNoCorrDeudEmp(String noCorrDeudEmp) {
		this.noCorrDeudEmp = noCorrDeudEmp;
	}
	
	/**
	 * @return Returns the noCorrImpuesDif.
	 */
	public String getNoCorrImpuesDif() {
		return noCorrImpuesDif;
	}
	/**
	 * @param noCorrImpuesDif The noCorrImpuesDif to set.
	 */
	public void setNoCorrImpuesDif(String noCorrImpuesDif) {
		this.noCorrImpuesDif = noCorrImpuesDif;
	}
	
	/**
	 * @return Returns the noCorrPeriodif.
	 */
	public String getNoCorrPeriodif() {
		return noCorrPeriodif;
	}
	/**
	 * @param noCorrPeriodif The noCorrPeriodif to set.
	 */
	public void setNoCorrPeriodif(String noCorrPeriodif) {
		this.noCorrPeriodif = noCorrPeriodif;
	}

	/**
	 * @return Returns the corrNoCorr.
	 */
	public String getCorrNoCorr() {
		return corrNoCorr;
	}
	/**
	 * @param corrNoCorr The corrNoCorr to set.
	 */
	public void setCorrNoCorr(String corrNoCorr) {
		this.corrNoCorr = corrNoCorr;
	}
	
	/**
	 * @return Returns the corrProv.
	 */
	public String getCorrProv() {
		return corrProv;
	}
	/**
	 * @param corrProv The corrProv to set.
	 */
	public void setCorrProv(String corrProv) {
		this.corrProv = corrProv;
	}
	
	/**
	 * @return Returns the corrDeudCred.
	 */
	public String getCorrDeudCred() {
		return corrDeudCred;
	}
	/**
	 * @param corrDeudCred The corrDeudCred to set.
	 */
	public void setCorrDeudCred(String corrDeudCred) {
		this.corrDeudCred = corrDeudCred;
	}
	
	/**
	 * @return Returns the corrDeudArren.
	 */
	public String getCorrDeudArren() {
		return corrDeudArren;
	}
	/**
	 * @param corrDeudArren The corrDeudArren to set.
	 */
	public void setCorrDeudArren(String corrDeudArren) {
		this.corrDeudArren = corrDeudArren;
	}
	
	/**
	 * @return Returns the corrDeudOtras.
	 */
	public String getCorrDeudOtras() {
		return corrDeudOtras;
	}
	/**
	 * @param corrDeudOtras The corrDeudOtras to set.
	 */
	public void setCorrDeudOtras(String corrDeudOtras) {
		this.corrDeudOtras = corrDeudOtras;
	}
	
	/**
	 * @return Returns the corrDeudEmp.
	 */
	public String getCorrDeudEmp() {
		return corrDeudEmp;
	}
	/**
	 * @param corrDeudEmp The corrDeudEmp to set.
	 */
	public void setCorrDeudEmp(String corrDeudEmp) {
		this.corrDeudEmp = corrDeudEmp;
	}
	
	/**
	 * @return Returns the corrProveed.
	 */
	public String getCorrProveed() {
		return corrProveed;
	}
	/**
	 * @param corrProveed The corrProveed to set.
	 */
	public void setCorrProveed(String corrProveed) {
		this.corrProveed = corrProveed;
	}
	
	/**
	 * @return Returns the corrOtrosAcreed.
	 */
	public String getCorrOtrosAcreed() {
		return corrOtrosAcreed;
	}
	/**
	 * @param corrOtrosAcreed The corrOtrosAcreed to set.
	 */
	public void setCorrOtrosAcreed(String corrOtrosAcreed) {
		this.corrOtrosAcreed = corrOtrosAcreed;
	}
	
	/**
	 * @return Returns the corrPeriodif.
	 */
	public String getCorrPeriodif() {
		return corrPeriodif;
	}
	/**
	 * @param corrPeriodif The corrPeriodif to set.
	 */
	public void setCorrPeriodif(String corrPeriodif) {
		this.corrPeriodif = corrPeriodif;
	}
	

	public String toString(){
		StringBuffer textoImprimir = new StringBuffer();
		textoImprimir.append("Ejercicio: ");
		textoImprimir.append(ejercicio);
		textoImprimir.append("; NumExpediente: ");
		textoImprimir.append(numExp);
		textoImprimir.append("; netoPropCapEscr: ");
		textoImprimir.append(netoPropCapEscr);
		textoImprimir.append("; netoPropCapNoExig: ");
		textoImprimir.append(netoPropCapNoExig);
		textoImprimir.append("; netoPropPrimEmis: ");
		textoImprimir.append(netoPropPrimEmis);
		textoImprimir.append("; netoPropReser: ");
		textoImprimir.append(netoPropReser);
		textoImprimir.append("; netoPropAccion: ");
		textoImprimir.append(netoPropAccion);
		textoImprimir.append("; netoPropResEjerAnt: ");
		textoImprimir.append(netoPropResEjerAnt);
		textoImprimir.append("; netoPropOtrasApor: ");
		textoImprimir.append(netoPropOtrasApor);
		textoImprimir.append("; netoPropResEjer: ");
		textoImprimir.append(netoPropResEjer);
		textoImprimir.append("; netoPropDividen: ");
		textoImprimir.append(netoPropDividen);
		textoImprimir.append("; netoPropOtrosInstr: ");
		textoImprimir.append(netoPropOtrosInstr);
		textoImprimir.append("; netoAjusCam: ");
		textoImprimir.append(netoAjusCam);
		textoImprimir.append("; netoSubv: ");
		textoImprimir.append(netoSubv);
		textoImprimir.append("; noCorrProv: ");
		textoImprimir.append(noCorrProv);
		textoImprimir.append("; noCorrDeudCred: ");
		textoImprimir.append(noCorrDeudCred);
		textoImprimir.append("; noCorrDeudArren: ");
		textoImprimir.append(noCorrDeudArren);
		textoImprimir.append("; noCorrDeudOtras: ");
		textoImprimir.append(noCorrDeudOtras);
		textoImprimir.append("; noCorrDeudEmp: ");
		textoImprimir.append(noCorrDeudEmp);
		textoImprimir.append("; noCorrImpuesDif: ");
		textoImprimir.append(noCorrImpuesDif);
		textoImprimir.append("; noCorrPeriodif: ");
		textoImprimir.append(noCorrPeriodif);
		textoImprimir.append("; corrNoCorr: ");
		textoImprimir.append(corrNoCorr);
		textoImprimir.append("; corrProv: ");
		textoImprimir.append(corrProv);
		textoImprimir.append("; corrDeudCred: ");
		textoImprimir.append(corrDeudCred);
		textoImprimir.append("; corrDeudArren: ");
		textoImprimir.append(corrDeudArren);
		textoImprimir.append("; corrDeudOtras: ");
		textoImprimir.append(corrDeudOtras);
		textoImprimir.append("; corrDeudEmp: ");
		textoImprimir.append(corrDeudEmp);
		textoImprimir.append("; corrProveed: ");
		textoImprimir.append(corrProveed);
		textoImprimir.append("; corrOtrosAcreed: ");
		textoImprimir.append(corrOtrosAcreed);
		textoImprimir.append("; corrPeriodif: ");
		textoImprimir.append(corrPeriodif);
		
		return textoImprimir.toString();
	}
	

}
